- Qt 6.7
- Qt 3D
- Qt3DExtras Namespace
- Qt 6.7.3 Reference Documentation

# Qt3DExtras Namespace

Contains classes from the Qt3DExtras module. More...

Header: | #include <Qt3DExtras>
CMake: | find_package(Qt6 REQUIRED COMPONENTS 3dextras) target_link_libraries(mytarget PRIVATE Qt6::3dextras)
qmake: | QT += 3dextras

## Functions

Qt3DExtras::Q_DECL_IMPORT | setupWindowSurface(QWindow *window, int api)

## Detailed Description

## Function Documentation

### `[noexcept]` Qt3DExtras::Q_DECL_IMPORT Qt3DExtras::setupWindowSurface(QWindow *window, int api)

Requests renderer to redraw if we are using OnDemand render policy.